﻿::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #888;
}

    ::-webkit-scrollbar-thumb:hover {
        background: #727cf5;
    }

.navbar-dark .navbar-toggler {
    border-color: unset !important;
}

.dropdown-item.active, .dropdown-item:active {
    background-color: #eaeaea;
}

.navbar-toggler {
    padding: 0.5rem .75rem;
    border: unset !important;
}

.text-hover-trans {
    color: transparent;
}

.div-right:hover i.text-hover-trans {
    color: #727cf5;
}

.font-9 {
    font-size: 9px !important;
}

.notification-list .noti-icon-badge {
    top: 10px;
    right: 14px;
}

.container-qrcode > img {
    width: 80px;
    height: 80px;
}

.max-h-300 {
    max-height: 300px !important;
}

.max-text-500 {
    max-width: 500px !important;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
}

.max-text-300 {
    max-width: 300px !important;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
}

.max-text-600 {
    max-width: 600px !important;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
}

.notification-list .noti-icon {
    font-size: unset;
    vertical-align: middle;
    line-height: unset;
}

.nav-user .account-user-avatar {
    top: calc(7px / 2);
}

.notification-list .notify-item .notify-details {
    margin-left: 0 !important;
}

.leaflet-tooltip {
    padding: 0px 3px !important;
    font-size: 10px !important;
    color: #000 !important;
    background-color: #fff !important;
    border: #333 !important;
    box-shadow: unset !important;
}

.leaflet-tooltip-right:before {
    left: 14px !important;
    top: 14px !important;
}

.leaflet-tooltip-left:before, .leaflet-tooltip-right:before {
    margin-top: -5px !important;
}

.nav-user-custom {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
    background-color: transparent !important;
    min-height: unset !important;
    border: unset !important
}

.dropdown-menu-animated.dropdown-menu-right {
    right: 2px !important;
}

.topnav .navbar-nav .nav-link {
    padding: 1rem 13px;
}

.table td, .table th {
    padding: 0.5rem;
    font-size: 14px;
}

.email-menu-list a {
    font-size: 14px;
}

.btn {
    font-size: 14px;
}

body {
    font-size: 14px;
}

.dropdown-menu {
    font-size: 14px;
}

.cursor-pointer {
    cursor: pointer;
}

.container-point {
    max-height: 222px;
    overflow-x: auto;
}

.container-point-edit {
    max-height: 362px;
    overflow-x: auto;
}

.no-border {
    border: unset !important;
}

.btn-remove-image-detail {
    position: absolute;
    top: 8px;
    right: 20px;
    z-index: 999;
}

body[data-layout=topnav] .footer {
    padding: 10px 0 10px;
}

.table th {
    border-top: unset;
}

.nav-position-map {
    padding: 0;
    position: absolute;
    top: 40px;
    z-index: 999;
    left: 23px;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.28)
}

.nav-position-map-request {
    padding: 0;
    position: absolute;
    z-index: 999;
    top: 65px;
    left: 22px;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.28)
}

.nav-right-map {
    overflow-x: auto;
    height: 750px;
    width: 300px;
    position: absolute;
    top: 55px;
    right: 12px;
    background-color: #fff;
    z-index: 999;
    box-shadow: 0 0 24px 0 rgba(49,58,70,.1), 0 1px 0 0 rgba(49,58,70,.08);
    padding: 20px
}

.image-tree {
    width: 100%;
    height: auto;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.28);
    margin-top: 25px
}

    .image-tree:hover {
        box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.65);
    }

.image-file {
    width: 100%;
    height: auto;
    box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.28);
    margin-top: 25px;
    cursor: pointer;
}

    .image-file:hover {
        box-shadow: 0 2px 6px 0 rgba(0, 0, 0, 0.65);
    }

.btn-remove-image {
    position: absolute;
    top: 33px;
    right: 20px;
    z-index: 999;
}

.i-refresh-search {
    border-radius: 3px;
    padding: 3px;
    background-color: rgba(114,124,245,.25);
    margin-top: -8px;
    font-size: 18px;
}

.container-image:hover > button {
    display: block !important;
}

.h-250 {
    height: 250px !important;
}

.div-scoll-noti {
    max-height: 230px;
    overflow-x: auto;
}

.hand {
    cursor: pointer;
}


@media (min-width: 768.98px) {
    .modal-xl {
        width: 90%;
        max-width: 1500px;
    }
}

@media (max-width: 768.98px) {
    .nav-user .account-user-avatar {
        position: unset !important;
    }

    .nav-user .account-position, .nav-user .account-user-name {
        display: unset !important;
    }

    .nav-user {
        padding: 17px 6px 17px 0px !important;
    }

    html {
        overflow-y: auto !important;
        overflow-x: hidden !important;
    }

    .page-aside-left {
        height: auto !important;
        overflow-x: unset !important;
        overflow-y: unset !important;
        padding-right: unset !important;
        padding-left: unset !important;
        position: relative !important;
        width: 100% !important;
        padding-right: 0 !important;
        padding-left: 12px !important;
    }

    .page-aside-right {
        position: relative !important;
        width: 100% !important;
        padding-right: 0 !important;
        padding-left: 0 !important;
        margin: 0 !important;
        margin-left: 0 !important;
    }

    .nav-button-map {
        left: 12px !important;
    }

    body[data-layout=topnav] .container-fluid, body[data-layout=topnav] .container-lg, body[data-layout=topnav] .container-md, body[data-layout=topnav] .container-sm, body[data-layout=topnav] .container-xl {
        padding-right: 0 !important;
        padding-left: 0 !important;
    }

    .page-title-box .page-title {
        text-align: center !important;
    }

    .xs-p-0 {
        padding: 0 !important
    }

    .xs-pl-0 {
        padding-left: 0 !important
    }

    .xs-pr-0 {
        padding-right: 0 !important
    }

    .xs-pt-10 {
        padding-top: 10px !important
    }

    .xs-mt-10 {
        margin-top: 10px !important
    }

    .xs-mr-0 {
        margin-right: 0 !important
    }

    .xs-ml-0 {
        margin-left: 0 !important
    }
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: 0.7rem;
        padding-left: 0.7rem;
        font-size: 15px;
    }

    body[data-layout=topnav] .container-fluid, body[data-layout=topnav] .container-lg, body[data-layout=topnav] .container-md, body[data-layout=topnav] .container-sm, body[data-layout=topnav] .container-xl {
        max-width: 100%;
    }
}

@media (max-width: 1450px) {
    .navbar-expand-lg .navbar-nav .nav-link {
        font-size: 13px;
    }
}

@media (max-width: 1500px) and (min-width: 1200px) {
    .widget-flat i.widget-icon {
        display: inline-block !important;
    }
}
